data atuswho_2004;
 infile 'c:\atuswho_2004.dat'
 dlm=',' firstobs=2 dsd missover lrecl=16384;
 length
  TUCASEID $14
  TUACTIVITY_N 8
  TUWHO_CODE 8
  TULINENO 8
  TRWHONA 8
 ;
 input
  TUCASEID
  TUACTIVITY_N
  TUWHO_CODE
  TULINENO
  TRWHONA
 ;
label TRWHONA         = "Who information not asked for activity";
label TUACTIVITY_N    = "Activity line number";
label TUCASEID        = "ATUS Case ID (14-digit identifier)";
label TULINENO        = "ATUS Person Line Number";
label TUWHO_CODE      = "Who was in the room with you / Who accompanied you?";
 
run;

PROC FORMAT;
value TRWHONA
-1     = "Blank"
-2     = "Don't Know"
-3     = "Refused"
0      = "TUWHO_CODE Asked"
1      = "TUWHO_CODE Not Asked"
;
value TUWHO_CD /* TUWHO_CODE */
-1     = "Blank"
-2     = "Don't Know"
-3     = "Refused"
18     = "Alone"
19     = "Alone"
20     = "Spouse (Husband/Wife)"
21     = "Unmarried Partner"
22     = "Own Household Child"
23     = "Grandchild"
24     = "Parent (Mother/Father)"
25     = "Brother/Sister"
26     = "Other Related Person (Aunt, Cousin, Nephew)"
27     = "Foster Child"
28     = "Housemate/Roommate"
29     = "Roomer/Boarder"
30     = "Other Nonrelative"
40     = "Own Nonhousehold Child"
51     = "Parents Or Parents-In-Law (Not Living In Household)"
52     = "Other Non-Household Family Members < 18"
53     = "Other Non-Household Family Members 18 And Older"
54     = "Friends"
55     = "Co-Workers/Colleagues/Clients"
56     = "Neighbors/Acquaintances"
57     = "Other Nonhousehold Children < 18"
58     = "Other Nonhousehold Adults 18 And Older"
;
run;

proc contents data=atuswho_2004; run;
